#!/usr/bin/python3.8
import urllib3
import json
import os
http = urllib3.PoolManager()
def lambda_handler(event, context):
    url = os.getenv("SLACK_WEBHOOK_URL")
    print(json.dumps(event))
    messages = [json.loads(i.get('Sns',{}).get('Message',"")) for i in event.get('Records',[])]
    text=[]
    for m in messages:
        text.append("ALARM - Details :\n"+ \
"\t- Name : "+m.get('AlarmName')+"\n"+ \
"\t- Description : "+m.get('AlarmDescription')+"\n"+ \
"\t- New State Value : "+m.get('NewStateValue')+"\n"+ \
"\t- New State Reason : "+m.get('NewStateReason')+"\n"+ \
"\t- New State Time : "+m.get('StateChangeTime')+"\n")
    msg = {
        "text": "\n-------\n".join(text)
    }
    
    encoded_msg = json.dumps(msg).encode('utf-8')
    resp = http.request('POST',url, body=encoded_msg)
    print(json.dumps({
        "messages": messages,
        "status_code": resp.status,
        "response": resp.data.decode("utf-8")
        })
    )